Wincon.WINDOW_BUFFER_SIZE_RECORD (JNA API)

com.sun.jna.platform.win32

## Class Wincon.WINDOW_BUFFER_SIZE_RECORD

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wincon.WINDOW_BUFFER_SIZE_RECORD

- Enclosing interface:
    Wincon

      @Structure.FieldOrder(value="dwSize")
      public static class Wincon.WINDOW_BUFFER_SIZE_RECORD
      extends Structure

  WINDOW_BUFFER_SIZE_RECORD structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Wincon.COORD` | `dwSize`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WINDOW_BUFFER_SIZE_RECORD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwSize

          public Wincon.COORD dwSize

  - ### Constructor Detail

    - #### WINDOW_BUFFER_SIZE_RECORD

          public WINDOW_BUFFER_SIZE_RECORD()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Structure`
      If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
      Overrides:
        `toString` in class `Structure`
      Returns:
        String representation of this object.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.